AUDIOPLAY(1)

NAME
audioplay - play audio files

SYNOPSIS
audioplay [-iqVh] [-v volume] [-b balance] [-p port] [-d device] [-C ctl] [ -f [-c channels] [-e encoding] [-P precision] [-s sample-rate]] [files ...]

DESCRIPTION
The audioplay program copies the named audiofiles, or the standard input if no files are named, to the audio device. The input files must contain a valid audio header, and the encoding must be understood by the underlying driver.

OPTIONS
The following options are available:

-i  If the audio device cannot be opened, exit now rather than wait for it.

-q  Be quiet.

-V  Be verbose.

-h  Print a help message.

-v  Set the volume (gain) to volume. This value must be between 0 and 255.

-b  Set the balance to balance. This value must be between 0 and 63.

-p  Set the output port to port. The valid values of port are “speaker”, “headphone” and “line”.

-d  Set the audio device to be device. The default is /dev/audio0.

-C  Set the audio control device to be ctl. The default is /dev/audioctl0.

-f  Force playing, even if the format is unknown. The -f flag can be used in addition with the following flags to change the number of channels, encoding, precision and sample rate.

-c  when combined with the -f option, sets the number of channels to it's argument.

-e  when combined with the -f option, sets the encoding to it's argument

-P  when combined with the -f option, sets the precision to it's argument. This value must be either 8, 16, 24 or 32.

-s  when combined with the -f option, sets the sample rate to it's argument. This value must be a valid value for the audio device or an error will be returned.

ENVIRONMENT

AUDIOCTLDEVICE
    the audio control device to be used.

AUDIODEVICE
    the audio device to be used.

NOTES
audioplay can be used to play Sun/NeXT audio files, and also RIFF WAVE audio files. audioplay can be configured in the “Netscape” web browser as the program to use when playing audio files.

ERRORS
If the audio device or the control device can not be opened, and error is returned.

If an invalid parameter is specified, an error is returned. The set of valid values for any audio parameter is specified by the hardware driver.

HISTORY
The audioplay program was first seen in SunOS 5. The NetBSD audioplay was first made available in NetBSD 1.4.

AUTHOR
The audioplay program was written by Matthew R. Green <mrg@eterna.com.au>.

SEE ALSO
audioctl(1), audiorecord(1), audioamd(4), aria(4), audio(4), eap(4), eso(4), ess(4), gus(4), guspnp(4), sb(4), sv(4), wss(4), ym(4).